<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>S03: HTML Activity</title>
</head>
<body>
	<p>
	<em>Science and Engineerning Ethics (2017) 7, 231-238</em>
	</p>

	<hr>

	<h1>
		<strong>Software Engineering Code of Ethics and 
			<br>Professional Practice</strong>
	</h1>
	<br>
	<p>
		<strong>IEEE-CS/ACM Joint Task Force on Software Egineeing Ethics and Professional<br>Practices</strong>
	</p>

	<hr>

	<p>
		<strong>Keywords</strong>: code of ethics, professional responsibility software egineering
	</p>

	<br>

	<p>
		<strong>PREAMBLE</strong>
	</p>

	<br>

	<p>
		The short version of the code summariezes at a high level of abstraction. The clauses that
		<br>are inlcuded in the full version give examples and details of how these aspirations change the way we
		<br>act as software engineering professionals. Without the aspirations, the details can become legislatic
		<br>and tedious; without the details, the aspirations can become high-sounding but empty; together, the
		<br>aspirations and the details form a cohesive code.
		<br>
		Software engineers, shall commit themselves to making the analysis, specifications, design,<br>development, testing, and maitenance of software a benificial and respected profession. In<br>accordance with their commitment to the health, safety, and welfare to the public, software engineers<br>shall adhere to the following eight Principles:

		<br>

		<p>
			<strong>PRINCIPLES</strong>
				<ol>
					<li><em>Public.</em> Software engineers shall act with the public interest.</li>
					<li><em>Client and emplyer.</em> Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
					<li><em>Product.</em> Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
					<li><em>Judgement.</em> Software engineers shall maintain integrity and independence in their professional judgement.</li>
					<li><em>Management.</em> Software engineering managers and leaders shall subscribe to and promote an ethical approcah to the management of software development and maintenance.</li>
					<li><em>Profession.</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
					<li><em>Colleagues.</em> Software engineers shall be fair to and supportive of their colleagues</li>
					<li><em>Self.</em> Software engineers shalle participate in lifelong learning regarding the practice of their prefession and shall promote and ethical approach to the practice of the profession.</li>

				</ol>
		</p>



</body>
</html>